package net.woodyfolsom.msproj.policy;

import java.util.Collection;

import net.woodyfolsom.msproj.Action;
import net.woodyfolsom.msproj.GameConfig;
import net.woodyfolsom.msproj.GameState;
import net.woodyfolsom.msproj.Player;

public interface Policy {
	public Action getAction(GameConfig gameConfig, GameState gameState,
			Player player);

	public Action getAction(GameConfig gameConfig, GameState gameState,
			Collection<Action> prohibitedActions, Player player);

	public int getNumStateEvaluations();
	
	public void setState(GameState gameState);
}